Skip to main content
PATCH
/
api
/
core
/
knowledge_sources
/
{use_case_id}
/
{knowledge_source_id}
Patch knowledge source
curl --request PATCH \
  --url https://api.example.com/api/core/knowledge_sources/{use_case_id}/{knowledge_source_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "fields": {}
}'
{
  "knowledge_source": {
    "id": "<string>",
    "base_url": "<string>",
    "app_id": "<string>",
    "brand": "<string>",
    "system_prompt": "<string>",
    "file_source_type": "disa-agent",
    "permissions_type": "managed",
    "retrieval_k": 100,
    "top_k_chapters": 50,
    "return_original_chapters": true,
    "credential_id": "<string>",
    "product_list": [
      {}
    ],
    "document_types": [
      "WORKSHOP_MANUAL"
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer token authentication. Format: 'Bearer '

Path Parameters

knowledge_source_id
string
required
use_case_id
string
required

Body

application/json
fields
Fields · object
required

Response

Successful Response

knowledge_source
ManagedDiSAKnowledgeSource · object
required

Represents a knowledge source that navigates the Disa API.